Restore conversation
curl --request POST \
--url https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"messageCount": 123,
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"prepromptKey": "<string>",
"preview": "<string>",
"pinned": true,
"tags": [
"<string>"
],
"metadata": {
"firstMessage": "<string>",
"tags": [
"<string>"
],
"pinned": true,
"model": "<string>"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Conversations
Restore Conversation
Restore an archived conversation to active status. Supports both Auth0 JWT and device-based authentication.
POST
/
api
/
v1
/
user
/
conversations
/
{conversationId}
/
restore
Restore conversation
Restores an archived conversation back to the active state. This endpoint
preserves the message history and metadata, making it safe to expose as an
“Unarchive” action in the UI.
Authorizations
bearerAuthdeviceAuth
Auth0 access token for registered users.
Path Parameters
Conversation ID (24 character MongoDB ObjectId).
Required string length:
24⌘I